{{
      $Id: Arduino[Bits].spin 6 2011-11-28 06:27:01Z pedward $
   Object: Arduino::Bits
  Version: 1.0
   Author: Perry Harrington
Copyright: (c) 2011 Perry Harrington
=======================================================================

This object is a SPIN interface to emulate the Arduino SDK functions
for Bits and Bytes.

}}

PUB lowByte(val)
  return val.byte

PUB highByte(val)
  return (val >> 8) & $FF

PUB bitRead(val, n)
  result := val
  result &= |< n
  result >>= n

PUB bitWrite(varptr, n, b)
  long[varptr] &= ! |< n
  long[varptr] |= b << n

PUB bitSet(varptr, n)
  bitWrite(varptr, n, 1)

PUB bitClear(varptr, n)
  bitWrite(varptr, n, 0)

PUB bit(n)
  return |< n
