{{
      $Id: Arduino[Pins].spin 6 2011-11-28 06:27:01Z pedward $
   Object: Arduino::Pins
  Version: 1.0
   Author: Perry Harrington
Copyright: (c) 2011 Perry Harrington
=======================================================================

This object is a SPIN interface to emulate the Arduino SDK functions
for manipulating pins.

The SPIN language has a robust native interface to control pins,
however this object is designed for Arduino users seeking to develop
on the Propeller.

}}

CON

  INPUT = 0
  OUTPUT = 1
  HIGH = 1
  LOW = 0

PUB pinMode(pin, mode)
  DIRA[pin] := mode

PUB digitalWrite(pin, value)
  OUTA[pin] := value

PUB digitalRead(pin)
  return INA[pin]
