{{
      $Id: Arduino::Time.spin 5 2011-11-24 06:01:35Z pedward $
   Object: Arduino::Time
  Version: 1.0
   Author: Perry Harrington
Copyright: (c) 2011 Perry Harrington
=======================================================================

This object is a SPIN interface to emulate the Arduino SDK functions
Time.

}}

CON
  uS = 1_000_000
  mS = 1_000

PUB millis
  return (cnt / (clkfreq / mS))

PUB micros
  return (cnt / (clkfreq / uS))

PUB delay(time)
  waitcnt((time * (clkfreq / mS)) + cnt)

PUB delayMicroseconds(time)
  waitcnt((time * (clkfreq / uS)) + cnt)

